Package org.springframework.web.service.invoker

# Interface HttpServiceArgumentResolver

All Known Implementing Classes:
  `AbstractNamedValueArgumentResolver`, `CookieValueArgumentResolver`, `HttpMethodArgumentResolver`, `PathVariableArgumentResolver`, `RequestAttributeArgumentResolver`, `RequestBodyArgumentResolver`, `RequestHeaderArgumentResolver`, `RequestParamArgumentResolver`, `RequestPartArgumentResolver`, `UriBuilderFactoryArgumentResolver`, `UrlArgumentResolver`

public interface HttpServiceArgumentResolver
Resolve an argument from an `@HttpExchange`-annotated method to one or more HTTP request values.

Since:
  6.0
Author:
  Rossen Stoyanchev

## Method Summary

Modifier and Type
Method
Description
`boolean`
`resolve(Object argument, org.springframework.core.MethodParameter parameter, HttpRequestValues.Builder requestValues)`
Resolve the argument value.

## Method Details

### resolve

boolean resolve(@Nullable Object argument, org.springframework.core.MethodParameter parameter, HttpRequestValues.Builder requestValues)
Resolve the argument value.

Parameters:
  `argument` - the argument value
  `parameter` - the method parameter for the argument
  `requestValues` - builder to add HTTP request values to
Returns:
  `true` if the argument was resolved, `false` otherwise